; ScreenDimmer
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         A.N.Other <myemail@nowhere.com>
;
; Script Function:
;	To dim or lighten the screen brightness
;

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

Menu, Tray, Add, Reset, Reload
Menu, Tray, Add, Show Dimmer, ShowWindow
Menu, Tray, Add, Reset, Reload
Menu, Tray, Icon, Shell32.dll, 44
Menu, Tray, Default, Show Dimmer
Menu, Tray, Click, 1

Gui +AlwaysOnTop
Gui, Add, Text, vDim x0 y0, Dimmer
Gui, Add, Text, vBright x0 y0, Brighter
Options := "Range60-180 NoTicks Buddy1Dim Buddy2Bright vMySlider gDimmer"
Gui, Add, Slider, W200 x50 y5 AltSubmit Tooltip Reverse %options% , 128
Gui, Add, StatusBar, gReset, Default Brightness 128 `t`t(Click Status Bar to Reset)
Gui, Show, W300, Screen Brightness
SB_SetIcon("Shell32.dll", 44)
DisplaySetBrightness( 128 )
Return

Dimmer:
  Gui, Submit, NoHide
  DisplaySetBrightness( MySlider )
  SB_SetText("Brightness level is " . MySlider . "`t`t(Click Status Bar to Reset)")
Return

DisplaySetBrightness( Br=128 ) {
 Loop, % VarSetCapacity( GR,1536 ) / 6
   NumPut( ( n := (Br+128)*(A_Index-1)) > 65535 ? 65535 : n, GR, 2*(A_Index-1), "UShort" )
 DllCall( "RtlMoveMemory", UInt,&GR+512,  UInt,&GR, UInt,512 )
 DllCall( "RtlMoveMemory", UInt,&GR+1024, UInt,&GR, UInt,512 )
 Return DllCall( "SetDeviceGammaRamp", UInt,hDC := DllCall( "GetDC", UInt,0 ), UInt,&GR )
     , DllCall( "ReleaseDC", UInt,0, UInt,hDC )
}

ShowWindow:
 DetectHiddenWindows, on
 WinRestore, Screen Brightness
 WinActivate, Screen Brightness
Return

Reload:
 Reload
Return

Reset:
  DisplaySetBrightness( 128 )
  GuiControl, , MySlider, 128
  SB_SetText("Default Brightness 128`t`t(Click Status Bar to Reset)")
Return